Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIOutcomeTarget

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIOutcomeTarget

All Implemented Interfaces:
  EventListener, PartialStateHolder, StateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

Direct Known Subclasses:
  HtmlOutcomeTargetButton, HtmlOutcomeTargetLink

    public class UIOutcomeTarget

extends UIOutput

This component is paired with the `javax.faces.Button` or `javax.faces.Link` renderers and encapsulates properties relating to the rendering of outcomes directly to the response. This enables bookmarkability in JSF applications.

Since:
  2.0

Field Summary
`static String` | `COMPONENT_FAMILY` The standard component family for this component.
`static String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`UIOutcomeTarget()` Create a new `UIOutcomeTarget` instance with default property values.

Method Summary
`String` | `getFamily()` Return the identifier of the component family to which this component belongs.
`String` | `getOutcome()` Returns the `outcome` property of the `UIOutcomeTarget`.
`boolean` | `isIncludeViewParams()` Return whether or not the view parameters should be encoded into the target url.
`void` | `setIncludeViewParams(boolean includeViewParams)` Set whether or not the page parameters should be encoded into the target url.
`void` | `setOutcome(String outcome)` Sets the `outcome` property of the `UIOutcomeTarget`.

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

  The standard component family for this component.

  See Also:
    Constant Field Values

Constructor Detail

### UIOutcomeTarget

    public UIOutcomeTarget()

  Create a new `UIOutcomeTarget` instance with default property values.

Method Detail

### getFamily

    public String getFamily()

  Description copied from class: `UIComponent`

  Return the identifier of the component family to which this component belongs. This identifier, in conjunction with the value of the `rendererType` property, may be used to select the appropriate `Renderer` for this component instance.

  Overrides:
    `getFamily` in class `UIOutput`

### isIncludeViewParams

    public boolean isIncludeViewParams()

  Return whether or not the view parameters should be encoded into the target url.

  Since:
    2.0

### setIncludeViewParams

    public void setIncludeViewParams(boolean includeViewParams)

  Set whether or not the page parameters should be encoded into the target url.

  Parameters:
    `includeViewParams` - The state of the switch for encoding page parameters
  Since:
    2.0

### getOutcome

    public String getOutcome()

  Returns the `outcome` property of the `UIOutcomeTarget`. This value is passed to the `NavigationHandler` when resolving the target url of this component.

  Since:
    2.0

### setOutcome

    public void setOutcome(String outcome)

  Sets the `outcome` property of the `UIOutcomeTarget`. This value is passed to the NavigationHandler when resolving the target url of this component.

  Parameters:
    `outcome` - the navigation outcome
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.